package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangsheng
 * @version 1.0
 * @description: TODO 角色
 * @date 2023/6/13 9:45
 */
@Data
public class SecRole  implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 2404365616191805742L;
    private String id;
    private String code;
    private String title;
    private String remark;
    private String createUserId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String lastUpdateUserId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateTime;

    private Integer logicDeleteFlag = 0;

}
