package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SubPreLog;
import com.ruoyi.system.domain.SubPreNew;
import com.ruoyi.system.domain.Tender;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISubPreLogService extends IService<SubPreLog>
{
    public List<Tender> listS();

    SubPreLog findOne(LambdaQueryWrapper<SubPreLog> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SubPreLog vo);
}
