package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.DocLog;
import com.ruoyi.system.mapper.DocLogMapper;
import com.ruoyi.system.service.IDocLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
/*@DataSource(value = DataSourceType.SLAVE)*/
public class DocLogServiceImpl extends ServiceImpl<DocLogMapper, DocLog> implements IDocLogService {
    @Autowired
    private DocLogMapper tenderLogMapper;

    @Override
    public List<DocLog> listTask() {
        return tenderLogMapper.selectList(new LambdaQueryWrapper<DocLog>().eq(DocLog::getIsHandle, "1").or().isNull(DocLog::getIsHandle));
    }

    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public boolean saveOrUpdateSlave(DocLog entity) {
        boolean b = super.saveOrUpdate(entity);
        return b;
    }

}
