package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class CommUser implements java.io.Serializable {

    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 登录名
     */
    @TableField("login_name")
    private String loginname;
    /**
     * 密码
     */
    private String password;
    /**
     * 密码增强
     */
    private String salt;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 启用状态 帐号是否可用
     */
    private int enabled;
    /**
     * 锁定状态 帐号是否被锁
     */
    private int locked;
    private Date updateTime;

}
