package com.ruoyi.system.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data
public class SubPreNew {

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.UUID)
	private String id;

	/**
	 * 项目id
	 */
	private String subId;
	/**
	 *
	 */
	private String kind;
	/**
	 * 项目前期id
	 */
	private String preFlowId;
	/**
	 * 1-需办理，2-无需办理
	 */
	private String status;
	/**
	 * 所属阶段
	 */
	private Integer numStage;
	/**
	 * 批复单位id
	 */
	private String subUnitId;
	/**
	 * 批复单位名称
	 */
	private String unitDesc;
	/**
	 * 科室id
	 */
	private String subDepartId;
	/**
	 * 科室名称
	 */
	private String departDesc;
	/**
	 * 0-未开始办理 1-开始办理 2-办理完成 3-退回
	 */
	private String statusConf;
	/**
	 * 退回人姓名
	 */
	private String userTh;
	/**
	 * 退回日期
	 */
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	@JSONField(format = "yyyy-MM-dd")
	private Date dateTh;
	/**
	 * 开始办理日期
	 */
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	@JSONField(format = "yyyy-MM-dd")
	private Date datePlan;
	/**
	 * 实际批复时间
	 */
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	@JSONField(format = "yyyy-MM-dd")
	private Date dateConfirm;
	/**
	 * 批复文号
	 */
	private String apprNo;
	/**
	 * 附件文件名称
	 */
	private String fileName;
	/**
	 * 文件地址
	 */
	private String fileAddre;
	/**
	 * 文件类型
	 */
	private String fileType;
	/**
	 * 正常用时
	 */
	private Integer num1;
	/**
	 * 最大用时
	 */
	private Integer num2;
	/**
	 * 办理天数
	 */
	private Integer num3;

	/**
	 * 办理人姓名
	 */
	private String transactors;

	/**
	 * 办理人电话
	 */
	private String transactorsPhone;


	private String createUserId;

	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;



	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	private Date lastUpdateTime;

	private Integer logicDeleteFlag = 0;

}
