package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SubPreFlow;
import com.ruoyi.system.mapper.SubFlowMapper;
import com.ruoyi.system.service.ISubFlowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SubFlowServiceImpl extends ServiceImpl<SubFlowMapper, SubPreFlow> implements ISubFlowService {
    @Autowired
    private SubFlowMapper subFlowMapper;

    @Override
    public List<SubPreFlow> list(Wrapper<SubPreFlow> wrapper) {
        return subFlowMapper.selectList(wrapper);
    }

    @Override
    public SubPreFlow findOne(Wrapper<SubPreFlow> wrapper) {
        return subFlowMapper.selectOne(wrapper);
    }

}
