package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.Sub;
import com.ruoyi.system.domain.Tender;
import com.ruoyi.system.mapper.SubMapper;
import com.ruoyi.system.mapper.TenderMapper;
import com.ruoyi.system.service.ISubService;
import com.ruoyi.system.service.ITenderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
/*@DataSource(value = DataSourceType.SLAVE)*/
public class SubServiceImpl extends ServiceImpl<SubMapper, Sub> implements ISubService {
    @Autowired
    private SubMapper subMapper;

    @Override
    public List<Sub> listTask() {
        return subMapper.selectList(new LambdaQueryWrapper<Sub>().eq(Sub::getIsHandle, "1").or().isNull(Sub::getIsHandle));
    }


    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public boolean saveOrUpdateSlave(Sub entity) {
        boolean b = super.saveOrUpdate(entity);
        return b;
    }

}
